%=======================================================================
%To solve optimization problem:
%Create a new subfolder in ...\PSG\MATLAB:
%..\PSG\MATLAB\problem_2_Trans_Costs
%Download and unpack the following zipped file from 'Data' to the created folder:
%'Mat_data_problem_2_Trans_Costs.zip'
%Run program 'problem_2_Trans_Costs.m'
%=======================================================================

clc;
clear;
addpath('..');

%Load data:
load('.\problem_2_Trans_Costs_data.mat')
%Define options for PSG solver:
stroptions.LinearizationRisk1 = 'On';
stroptions.LinearizationRisk2 = 'On';
stroptions.Precision = 9;
%Define input arguments:
string2 = {'cvar_risk'};
w2 = {0.9};

%Solve optimization problems:
[xout, fval, status, output] = riskconstrprog([], string2, [], [], [], [], w2, H2, [], [], d, r, A, b, [], [], lb, ub, [], stroptions);
 
%Display results:
disp(' ');
disp('Results: ');
%Display status of optimization problem:
disp(sprintf('status of optimization problem = %s', status));
%Display solving time:
disp(sprintf('solving time = %g', output.solving_time));
%Display objective:
disp(sprintf('objective = %g', fval));
%Display function:
disp(sprintf('cvar_risk= %g', output.frval2))
%Display linear component of objective:
disp('linear component of objective:');
disp(output.fdval);
%Display optimal point:
disp('optimal point = ');
disp(xout');
